- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# sysctl_entry Struct Reference

`#include <kern_sysctl.h>`

Collaboration diagram for sysctl_entry:

[legend]

## Data Fields
sysctl_entry * | children
int | id
char | name [32]
sysctl_entry * | next
sysctl_entry * | prev
int | val_len
void * | value

## Detailed Description

Definition at line 57 of file kern_sysctl.h.

## Field Documentation

struct sysctl_entry* sysctl_entry::children

Definition at line 60 of file kern_sysctl.h.

Referenced by sysctl_add(), sysctl_find(), and sysctl_init().

int sysctl_entry::id

Definition at line 62 of file kern_sysctl.h.

Referenced by sysctl_add(), sysctl_find(), and sysctl_init().

char sysctl_entry::name[32]

Definition at line 61 of file kern_sysctl.h.

Referenced by sysctl_add(), and sysctl_init().

struct sysctl_entry* sysctl_entry::next

Definition at line 59 of file kern_sysctl.h.

Referenced by sysctl_add(), sysctl_find(), and sysctl_init().

struct sysctl_entry* sysctl_entry::prev

Definition at line 58 of file kern_sysctl.h.

Referenced by sysctl_add(), and sysctl_init().

int sysctl_entry::val_len

Definition at line 64 of file kern_sysctl.h.

Referenced by __sysctl(), and sysctl_add().

void* sysctl_entry::value

Definition at line 63 of file kern_sysctl.h.

Referenced by __sysctl(), and sysctl_add().

The documentation for this struct was generated from the following file:

- src/sys/include/sys/kern_sysctl.h